# Type alias: CustomHasher

Ƭ **CustomHasher**: (`task`: [`Task`](../../devkit/documents/Task), `context`: [`HasherContext`](../../devkit/documents/HasherContext)) => `Promise`<[`Hash`](../../devkit/documents/Hash)\>

#### Type declaration

▸ (`task`, `context`): `Promise`<[`Hash`](../../devkit/documents/Hash)\>

##### Parameters

| Name      | Type                                                    |
| :-------- | :------------------------------------------------------ |
| `task`    | [`Task`](../../devkit/documents/Task)                   |
| `context` | [`HasherContext`](../../devkit/documents/HasherContext) |

##### Returns

`Promise`<[`Hash`](../../devkit/documents/Hash)\>
